From 40b9bffa2f2a3395776b592a9ad9e8ac0695591a Mon Sep 17 00:00:00 2001
From: Simon Josefsson <simon@josefsson.org>
Date: Sun, 27 Oct 2024 11:05:53 +0100
Subject: [PATCH] Skip c2sp.org/CCTV/age usage until packaged.

---
 testkit_test.go | 19 +------------------
 1 file changed, 1 insertion(+), 18 deletions(-)

diff --git a/testkit_test.go b/testkit_test.go
index 78ccc43..cd1074b 100644
--- a/testkit_test.go
+++ b/testkit_test.go
@@ -13,7 +13,6 @@ import (
 	"encoding/hex"
 	"errors"
 	"io"
-	"io/fs"
 	"strings"
 	"testing"
 
@@ -23,26 +22,10 @@ import (
 	"filippo.io/age/internal/stream"
 	"golang.org/x/crypto/chacha20poly1305"
 	"golang.org/x/crypto/hkdf"
-
-	agetest "c2sp.org/CCTV/age"
 )
 
 func forEachVector(t *testing.T, f func(t *testing.T, v *vector)) {
-	tests, err := fs.ReadDir(agetest.Vectors, ".")
-	if err != nil {
-		t.Fatal(err)
-	}
-	for _, test := range tests {
-		name := test.Name()
-		contents, err := fs.ReadFile(agetest.Vectors, name)
-		if err != nil {
-			t.Fatal(err)
-		}
-		t.Run(name, func(t *testing.T) {
-			t.Parallel()
-			f(t, parseVector(t, contents))
-		})
-	}
+	t.Skip("Skip c2sp until package in Debian")
 }
 
 type vector struct {
-- 
2.46.0

